import { jsx as ___EmotionJSX } from "@emotion/core";
import React from 'react';
import PropTypes from 'prop-types';
import ButtonLoader from './style';

var Loader = function Loader(_ref) {
  var loading = _ref.loading,
      disabled = _ref.disabled,
      buttonType = _ref.buttonType,
      className = _ref.className,
      textColor = _ref.textColor;
  return ___EmotionJSX(ButtonLoader, {
    loading: loading,
    disabled: disabled,
    buttonType: buttonType,
    className: className,
    textColor: textColor
  }, ___EmotionJSX("div", null, ___EmotionJSX("span", null), ___EmotionJSX("span", null), ___EmotionJSX("span", null)));
};

Loader.propTypes = {
  loading: PropTypes.bool,
  disabled: PropTypes.bool,
  buttonType: PropTypes.oneOf(['primary', 'secondary', 'tertiary', 'quaternary']),
  className: PropTypes.string,
  textColor: PropTypes.string
};
export default Loader;