import { jsx as ___EmotionJSX } from "@emotion/core";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import React from 'react';
import PropTypes from 'prop-types';
import { COLORS } from '../../../constants';
import ArrowLeftIcon from '../../../svgs/icons/arrow-left-icon.svg';
import ArrowRightIcon from '../../../svgs/icons/arrow-right-icon.svg';
import ArrowContainer from './style';

var Arrow =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Arrow, _React$Component);

  function Arrow() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, Arrow);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(Arrow)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _this.arrowClickHandler = function () {
      var _this$props = _this.props,
          onUserInteraction = _this$props.onUserInteraction,
          onClick = _this$props.onClick;
      onClick();
      onUserInteraction();
    };

    return _this;
  }

  _createClass(Arrow, [{
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          prev = _this$props2.prev,
          next = _this$props2.next,
          disabled = _this$props2.disabled;
      return ___EmotionJSX(ArrowContainer, {
        prev: prev,
        next: next,
        disabled: disabled,
        onClick: this.arrowClickHandler
      }, prev && ___EmotionJSX(ArrowLeftIcon, {
        fill: COLORS.purple
      }), next && ___EmotionJSX(ArrowRightIcon, {
        fill: COLORS.purple
      }));
    }
  }]);

  return Arrow;
}(React.Component);

Arrow.propTypes = {
  prev: PropTypes.bool,
  next: PropTypes.bool,
  disabled: PropTypes.bool,
  onUserInteraction: PropTypes.func,
  onClick: PropTypes.func
};
export default Arrow;